Skip to main content
GET
/
v1
/
transactions
/
{transaction_id}
Get Transaction
curl --request GET \
  --url https://conta-public-api.kiwify.com/v1/transactions/{transaction_id} \
  --header 'X-PoP-Challenge: <api-key>' \
  --header 'X-PoP-Format: <api-key>' \
  --header 'X-PoP-Signature: <api-key>' \
  --header 'x-access-id: <api-key>'
{
  "amount_in_cents": 123,
  "category": "credit",
  "created_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "details": {
    "type": "Pix",
    "value": {
      "pix_type": "Manual",
      "receiver": {
        "account_number": "<string>",
        "account_type": "payment_account",
        "bank": "<string>",
        "bank_code": "<string>",
        "document": "<string>",
        "name": "<string>"
      },
      "sender": {
        "account_number": "<string>",
        "account_type": "payment_account",
        "bank": "<string>",
        "bank_code": "<string>",
        "document": "<string>",
        "name": "<string>"
      },
      "message": "<string>",
      "pix_key": "<string>"
    }
  },
  "end_to_end_id": "E323070002024011012345612345678901234",
  "id": 123,
  "status": "initial",
  "type": "<string>",
  "completed_at": "2023-11-07T05:31:56Z",
  "counterparty": "<string>"
}

Authorizations

x-access-id
string
header
required

UUID of the service account (e.g., 550e8400-e29b-41d4-a716-446655440000)

X-PoP-Challenge
string
header
required

Unix timestamp in milliseconds (e.g., 1704636800000). Must be within 5 minutes of server time.

X-PoP-Format
string
header
required

Must be 'service-account' for service account authentication

X-PoP-Signature
string
header
required

EdDSA signature of the request in base64 format. Signs: uri:method:body:timestamp

Path Parameters

transaction_id
integer<int64>
required

Response

Transaction retrieved successfully

amount_in_cents
integer<int64>
required
category
enum<string>
required
Available options:
credit,
debit,
block
created_at
string<date-time>
required
description
string
required
details
Pix · object
required
end_to_end_id
string
required

End-to-End (E2E) identifier of the PIX in the Central Bank's Instant Payment System. Format: E{ISPB}{YYYYMMDD}{HHmmss}{UniqueID} (e.g.: E323070002024011012345612345678901234). Used for tracking, reconciliation, and proof of PIX transactions.

Example:

"E323070002024011012345612345678901234"

id
integer<int64>
required
status
enum<string>
required
Available options:
initial,
pending,
committed,
voided,
failed
type
string
required
completed_at
string<date-time> | null
counterparty
string | null